Package: groovy.jmx.builder

## [Groovy] Class JmxServerConnectorFactory

- groovy.jmx.builder.JmxServerConnectorFactory

-     class JmxServerConnectorFactory
      extends AbstractFactory

  This is the server connector factory used for node JmxBuilder.connectorServer(). A call to this node returns an instance of JMXConnectorServer interface (rmi default).

  Possible syntax:

          JmxBuilder.connectorServer(
              protocol:"rmi",
              host:"...",
              port:1099,
              url:"...",
              properties:[
                  "authenticate":true|false,
                  "passwordFile":"...",
                  "accessFile":"...",
                  "sslEnabled" : true | false
               ...
              ]
           )

  See Also:
    JMXConnectorServer

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxServerConnectorFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()` Indicates that the connector server node may contain children.
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)` Creates a server connector for the supplied connection settings.
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)` Consumes node attributes without additional processing.
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)` Completes connector server node creation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### JmxServerConnectorFactory()

  - ### Method Detail

    - #### boolean isLeaf()

      Indicates that the connector server node may contain children.

      Returns:
        `false`

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

      Creates a server connector for the supplied connection settings.

      Parameters:
        `builder` - the active builder
        `nodeName` - the node name
        `nodeArgs` - positional node arguments
        `nodeAttribs` - named node attributes
      Returns:
        the configured connector server

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

      Consumes node attributes without additional processing.

      Parameters:
        `builder` - the active builder
        `node` - the current node
        `nodeAttribs` - remaining node attributes
      Returns:
        `true`

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

      Completes connector server node creation.

      Parameters:
        `builder` - the active builder
        `parentNode` - the parent node
        `thisNode` - the created connector server